-- (c) 2008 bytework GmbH, Karlsruhe
	-- Lightroom SDK
local LrView = import 'LrView'
local LrLogger = import 'LrLogger'

local myLogger = LrLogger( 'libraryLogger' ) 
myLogger:enable( "print" )

	require 'BypExpDialogSection'
	require 'BypExpTask'


--============================================================================--

return {
	--hideSections = { 'exportLocation' },
	showSections = { 'imageSettings', 'fileNaming' , 'fileSettings', 'outputSharpening', 'metadata', 'watermarking'},
	
	allowFileFormats = { 'JPEG' },
	allowColorSpaces = { 'sRGB' },
	
	hidePrintResolution = true,
	
	exportPresetFields = {
		{ key = 'album', default = 'album001' },
		{ key = 'subalbum', default = '' },
		{ key = 'thumbSize', default = '135' },
		{ key = 'detailSize', default = '350' },
		{ key = 'toBeExported', default = 'thumbs' },
		{ key = 'targetFolder', default = '' },
		{ key = 'targetSize', default = 0 },
-- from FTP upload
		{ key = "ftpPreset", default = nil },
		{ key = "fullPath", default = nil },

	},

	startDialog = BypExpDialogSection.startDialog,
	sectionsForTopOfDialog = BypExpDialogSection.sectionsForTopOfDialog,
	sectionsForBottomOfDialog = BypExpDialogSection.sectionsForBottomOfDialog,
	processRenderedPhotos = BypExpTask.processRenderedPhotos,
	
}
